Subject: Re: [PATCH][ROSE][NETROM] display neigh instead of address

From: pidoux <[email-masked]>
Date: Sun, 09 Mar 2008 10:00:09 +0100

David Miller a écrit :
> From: Bernard Pidoux F6BVP <[email-masked]>
> Date: Fri, 29 Feb 2008 23:45:03 +0100
>
>   
>> I submit the following patch against kernel 2.6.24.3 to replace
>> labels "addr" in /proc/net/rose_neigh and /proc/net/nr_neigh
>> by labels "neigh" for the display of neighbour numbers in the
>> first columns.
>>
>> This makes the reading of proc more consistent with the labels of
>> /proc/net/rose_nodes and /proc/net/nr_nodes.
>> Finding the callsign of a given node neighbour number becomes easier.
>>     
>
> I'm not so sure there is much value to this.
> "address", "neigh", it's all about the same.
>
> Yes, it's inconsistent in various areas, but procfs
> output is like a fixed API with userspace and we generally
> cannot change it without potentially breaking userspace.
> --
> To unsubscribe from this list: send the line "unsubscribe netdev" in
> the body of a message to [email-masked]
> More majordomo info at  http://vger.kernel.org/majordomo-info.html
>
>
>   
I thought that the patch would only affect /proc/net/rose and 
/proc/net/netrom, not /proc/net.
However I understand your objection.
Meanwhile application programs can deal with the present labels as far 
as we keep in mind that "addr" and "neigh" are talking about the same thing.
Thanks for the explanation.

Bernard Pidoux

--
To unsubscribe from this list: send the line "unsubscribe linux-hams" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html